Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class AjaxFunctionRendererBase

    java.lang.Object
      javax.faces.render.Renderer
          org.richfaces.renderkit.RendererBase
              org.richfaces.renderkit.AjaxCommandRendererBase
                  org.richfaces.renderkit.AjaxFunctionRendererBase

Direct Known Subclasses:
  AjaxFunctionRenderer

    public abstract class AjaxFunctionRendererBase

extends AjaxCommandRendererBase

Author:
  shura

Constructor Summary
`AjaxFunctionRendererBase()`

Method Summary
`String` | `getFunction(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`

Methods inherited from class org.richfaces.renderkit.AjaxCommandRendererBase
`doDecode, getOnClick, isSubmitted, queueComponentEventForBehaviorEvent`

Methods inherited from class org.richfaces.renderkit.RendererBase
`concatClasses, concatStyles, decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResourcePath, getSkin, getUtils, preDecode, preEncodeBegin, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AjaxFunctionRendererBase

    public AjaxFunctionRendererBase()

Method Detail

### getFunction

    public String getFunction(javax.faces.context.FacesContext context,
                              javax.faces.component.UIComponent component)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.